Create deployment
curl --request POST \
--url https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/deployments \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"source_blob_key": "<string>",
"image_ref": "<string>"
}
'import requests
url = "https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/deployments"
payload = {
"source_blob_key": "<string>",
"image_ref": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_blob_key: '<string>', image_ref: '<string>'})
};
fetch('https://api.rafftechnologies.com/api/v1/apps/services/{service_id}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"deployment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deployment_number": 123,
"channel": "console",
"status": "queued",
"rollback_of": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_digest": "<string>",
"commit_sha": "<string>",
"commit_message": "<string>",
"error": "<string>",
"build_duration_ms": 123,
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Deployments
Create deployment
Build and roll out a new deployment. Provide a source_blob_key from
a completed source upload, or an image_ref for a prebuilt image.
Git-connected services deploy their branch head when neither is given.
POST
/
api
/
v1
/
apps
/
services
/
{service_id}
/
deployments
Create deployment
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
App service ID (UUID) or short id (the service_id field)
Body
application/json
Last modified on August 26, 2026
⌘I